"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPkgManager = void 0;
const child_process_1 = require("child_process");
function getPkgManager() {
    try {
        const userAgent = process.env.npm_config_user_agent;
        if (userAgent) {
            if (userAgent.startsWith('yarn')) {
                return 'yarn';
            }
            else if (userAgent.startsWith('pnpm')) {
                return 'pnpm';
            }
        }
        try {
            (0, child_process_1.execSync)('yarn --version', { stdio: 'ignore' });
            return 'yarn';
        }
        catch (_a) {
            (0, child_process_1.execSync)('pnpm --version', { stdio: 'ignore' });
            return 'pnpm';
        }
    }
    catch (_b) {
        return 'npm';
    }
}
exports.getPkgManager = getPkgManager;
//# sourceMappingURL=get-pkg-manager.js.map